1. Blocks
Backoffice API
  • Back to home
  • Community
  • Events
    • Blocks
      • Event blocks by id
      • Manage Event blocks by id
      • Event Block entries by ids
      • Manage Event Block entries by ids
    • Metadata
      • All Event Metadata
      • Update all Event Metadata
    • List events
      GET
    • Create Event
      POST
    • Event by id
      GET
    • Update Event by id
      PATCH
    • Remove Event by id
      DELETE
    • Event occurrences by id
      GET
    • Update Event Block by ids
      PATCH
    • Switch Profile Type by Event id
      POST
    • Change event's workspace
      POST
  • Organizations
    • Blocks
      • Organization blocks by id
      • Manage Organization blocks by id
      • Organization Block entries by ids
      • Manage Organization Block entries by ids
    • Metadata
      • All Organization Metadata
      • Update all Organization Metadata
    • List organizations
      GET
    • Create Organization
      POST
    • Organization by id
      GET
    • Update Organization by id
      PATCH
    • Remove Organization by id
      DELETE
    • Update Organization Block by ids
      PATCH
    • Switch Profile Type by Organization id
      POST
    • Change organization's workspace
      POST
  • People
    • Blocks
      • Person blocks by id
      • Manage Person blocks by id
      • Person Block entries by ids
      • Manage Person Block entries by ids
    • Metadata
      • All Person Metadata
      • Update all Person Metadata
    • List people
    • Create Person
    • Person by id
    • Update Person by id
    • Remove Person by id
    • Update Person Block by ids
    • Switch Profile Type by Person id
    • Change person's workspace
  • Projects
    • Blocks
      • Project blocks by id
        GET
      • Manage Project blocks by id
        PUT
      • Project Block entries by ids Copy
        GET
      • Manage Project Block entries by ids
        PUT
    • Metadata
      • All Project Metadata
      • Update all Project Metadata
    • List projects
      GET
    • Create Project
      POST
    • Project by id
      GET
    • Update Project by id
      PATCH
    • Remove Project by id
      DELETE
    • Update Project Block by ids
      PATCH
    • Switch Profile Type by Project id
      POST
    • Change project's workspace
      POST
  1. Blocks

Project blocks by id

GET
/community/v2/projects/{id}/blocks

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Responses

🟢200Success
application/json
Body

🟠400Invalid UUID
🟠401Unauthorized API KEY
🟠403Unauthorized roles
🟠404Entity not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://prod.your-api-server.com/community/v2/projects/{{community_project_id}}/blocks' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",
            "block_type_id": "a24ce7c3-d828-4802-8bc1-824c4e745e7f",
            "locales": [
                {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "locale": "en",
                    "name": "string"
                }
            ],
            "inserted_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-03-02 08:04:27
Previous
Change person's workspace
Next
Manage Project blocks by id
Built with